Bug 239829 - udev.i ignores /etc/udev/makedev.d resulting in missing devices
Summary: udev.i ignores /etc/udev/makedev.d resulting in missing devices
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initng-ifiles   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Malmgren
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-11 16:36 UTC by Maximilian Imgrund
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.1.4-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 22:08:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maximilian Imgrund 2007-05-11 16:36:19 UTC
Description of problem:

I don't have /dev/parport* devices when using initng.

(I am not sure if some hotplug mechanism is broken for my machine.)

My Analysis:
While init calls start_udev which parses /etc/udev/makedev.d/*,  udev.i ignores
the directory.

Version-Release number of selected component (if applicable): 0.1.2


How reproducible:
Start your system with initng.
  
Actual results:
no /dev/parport devices

Expected results:
/dev/parport devices should exist.

Workaround:
Add Line "/sbin/MAKEDEV parport0" to filldev start{} section in udev.i

Comment 1 Daniel Malmgren 2007-08-23 11:59:43 UTC
I've added parsing of /etc/udev/makedev.d files in upstreams now. Sorry for the
delay...

Comment 2 Fedora Update System 2007-08-27 21:41:29 UTC
initng-ifiles-0.1.4-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-09-04 22:08:36 UTC
initng-ifiles-0.1.4-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.